MFrame Struct Reference

Type of frames. More...

Collaboration diagram for MFrame:
[legend]

## Data Fields

M17NObject | control
MSymbol | foreground
MSymbol | background
MSymbol | videomode
MFont * | font
MFace * | face
MRealizedFace * | rface
int | space_width
int | average_width
int | ascent
int | descent
unsigned | tick
void * | device
int | device_type
int | dpi
MDeviceDriver * | driver
MPlist * | font_driver_list
MPlist * | realized_font_list
MPlist * | realized_face_list
MPlist * | realized_fontset_list

## Detailed Description

Type of frames.

The type MFrame is for a frame object. Each frame holds various information about the corresponding physical display/input device.

The internal structure of the type MFrame is concealed from an application program, and its contents depend on the window system in use. In the m17n-X library, it contains the information about display and screen in the X Window System.

## Field Documentation

## control

M17NObject MFrame::control

## foreground

MSymbol MFrame::foreground

## background

MSymbol MFrame::background

## videomode

MSymbol MFrame::videomode

## font

MFont* MFrame::font

## face

MFace* MFrame::face

## rface

MRealizedFace* MFrame::rface

## space_width

int MFrame::space_width

## average_width

int MFrame::average_width

## ascent

int MFrame::ascent

## descent

int MFrame::descent

## tick

unsigned MFrame::tick

## device

void* MFrame::device

## device_type

int MFrame::device_type

## dpi

int MFrame::dpi

## driver

MDeviceDriver* MFrame::driver

## font_driver_list

MPlist* MFrame::font_driver_list

## realized_font_list

MPlist* MFrame::realized_font_list

## realized_face_list

MPlist* MFrame::realized_face_list

## realized_fontset_list

MPlist* MFrame::realized_fontset_list